package info.textgrid.lab.collatex.model;

import static org.junit.Assert.*;

import java.io.StringWriter;
import java.net.URI;

import javax.xml.bind.JAXB;

import org.junit.Test;

public class CollationSetTests {

	@Test
	public void testSerialisation() {
		CollationSet set = new CollationSet();
		set.getWitnesses().add(new CollationSetWitness(URI.create("textgrid:4711")));
		set.getWitnesses().add(new CollationSetWitness(URI.create("foo.xml")));
		set.getWitnesses().get(1).setActive(false);
		StringWriter writer = new StringWriter();
		JAXB.marshal(set, writer);
		assertEquals("<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n" +
				"<ns2:collationSet xmlns:ns2=\"http://textgrid.info/namespaces/collation/collationSet\">\n" + 
				"    <witness uri=\"textgrid:4711\" active=\"true\"/>\n" + 
				"    <witness uri=\"foo.xml\" active=\"false\"/>\n" + 
				"</ns2:collationSet>\n", writer.toString());
	}

}
